Return recently-changed ProductCountry objects since a request id
curl --request POST \
--url https://{globale_api_domain}/Browsing/RecentProductCountrySimport requests
url = "https://{globale_api_domain}/Browsing/RecentProductCountryS"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://{globale_api_domain}/Browsing/RecentProductCountryS', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ProductCountry": [
{
"CountryCode": "<string>",
"ForbiddanceMessage": "<string>",
"IsForbidden": true,
"IsRestricted": true,
"IsVerified": true,
"ProductCode": "<string>",
"RestrictionMessage": "<string>",
"TTL": 123,
"UploadedViaCatalog": true,
"VATRateType": {
"Name": "<string>",
"Rate": 123,
"VATRateTypeCode": "<string>"
}
}
],
"RequestID": 123
}Recent Product Countries (Merchant to Global-e)
Returns ProductCountry objects (country exceptions, restrictions, and VAT rates) changed since a given request id.
POST
/
Browsing
/
RecentProductCountryS
Return recently-changed ProductCountry objects since a request id
Returns the list of ProductCountry objects requested by the Merchant since requestId is specified. This method may be used by the Merchants to load to their local “cache” ProductCountries storage, product “country exceptions” (product/country combinations that have commercial or regulatory country-specific restrictions, as well as any non-standard VAT rates that should be applied to the respective products in the respective EU countries). For the first call to RecentProductCountryS , requestId=0 must be specified. If any ProductCountry object record returned by RecentProductCountryS API is not “restricted”, not “forbidden”, and VATRateType ‘s rate is equal to the respective country’s default VATRateType ‘s rate, this indicates that this ProductCountry is “reverted” to “default” (no restrictions and default country VAT rate). In such a case, this ProductCountry should not be created in the local “cache” ProductCountries storage. If this ProductCountry already exists in the local “cache” storage, then it has to be deleted from there. Note that the IsForbidden flag actually denotes global restriction that is applied to ALL countries for the respective product. So if IsForbidden is set, it will be set for all countries, although in Global‑e core it’s actually a Product level flag (rather than ProductCountry level).
Query Parameters
Request identifier

